Bug 180151 - USB devices disappeared
USB devices disappeared
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-02-06 05:55 EST by Tim Waugh
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-30 04:28:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
dmesg.2.6.14-1.1656_FC4 (works) (14.48 KB, text/plain)
2006-02-09 05:47 EST, Tim Waugh
no flags Details
dmesg.2.6.15-1.1831_FC4 (does not work) (15.14 KB, text/plain)
2006-02-09 05:48 EST, Tim Waugh
no flags Details

  None (edit)
Description Tim Waugh 2006-02-06 05:55:45 EST
Description of problem:
USB devices seem to have disappeared with kernel-2.6.15-1.1830_FC4. 
kernel-2.6.14-1.1656_FC4 works fine.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Boot new kernel.
Actual results:
No mouse, for example.
Comment 1 Pete Zaitcev 2006-02-06 18:15:14 EST
Huh? "Disappeared"?
At least attach two dmesgs, from 1.1830 and 1.1656, please.
Comment 2 Tim Waugh 2006-02-09 05:47:08 EST
Created attachment 124429 [details]
dmesg.2.6.14-1.1656_FC4 (works)
Comment 3 Tim Waugh 2006-02-09 05:48:03 EST
Created attachment 124430 [details]
dmesg.2.6.15-1.1831_FC4 (does not work)

2.6.15-1.1831_FC4 has the same symptom.
Comment 4 Pete Zaitcev 2006-02-10 20:23:54 EST
This looks like some sort of a handoff problem.

 ehci_hcd 0000:00:02.2: EHCI Host Controller
 ehci_hcd 0000:00:02.2: debug port 1
-ehci_hcd 0000:00:02.2: BIOS handoff failed (160, 01010001)
-ehci_hcd 0000:00:02.2: continuing after BIOS bug...
+PCI: cache line size of 64 is not supported by device 0000:00:02.2
 ehci_hcd 0000:00:02.2: new USB bus registered, assigned bus number 1
 ehci_hcd 0000:00:02.2: irq 193, io mem 0xff6ffc00
-PCI: cache line size of 64 is not supported by device 0000:00:02.2
-ehci_hcd 0000:00:02.2: park 0
-ehci_hcd 0000:00:02.2: USB 2.0 initialized, EHCI 1.00, driver 10 Dec 2004
+ehci_hcd 0000:00:02.2: USB 2.0 started, EHCI 1.00, driver 10 Dec 2004
 hub 1-0:1.0: USB hub found
 hub 2-0:1.0: 3 ports detected
+usb 1-1: new high speed USB device using ehci_hcd and address 2
 ACPI: PCI Interrupt Link [LUS1] enabled at IRQ 20
 hub 3-0:1.0: 3 ports detected
-usb 2-1: new full speed USB device using ohci_hcd and address 2
-usb 2-1: not running at top speed; connect to a high speed hub
-hub 2-1:1.0: USB hub found
-hub 2-1:1.0: 4 ports detected
-usb 2-1.3: new low speed USB device using ohci_hcd and address 3
-input: USB HID v1.10 Mouse [Cypress Semi. Cypress Ultra Mouse] on
 ieee1394: Initialized config rom entry `ip1394'
 ohci1394: fw-host0: OHCI-1394 1.1 (PCI): IRQ=[201]  MMIO=[ff4ff000-ff4ff7ff] 
Max Packet=[2048]
+usb 1-1: device descriptor read/64, error -110
 ieee1394: Host added: ID:BUS[0-00:1023]  GUID[00e01800005546db]
 eth1: Setting full-duplex based on negotiated link capability.
-Bluetooth: Core ver 2.7
+usb 1-1: device descriptor read/64, error -110
+usb 1-1: new high speed USB device using ehci_hcd and address 3
+Bluetooth: Core ver 2.8
 NET: Registered protocol family 31
Comment 5 Dave Jones 2006-02-19 00:52:26 EST
Tim, does 1832 (available from
http://people.redhat.com/davej/kernels/Fedora/FC-4/ ) fix this by any chance?
Comment 6 Tim Waugh 2006-02-21 05:18:53 EST
No, it doesn't.
Comment 7 Tim Waugh 2006-03-28 10:41:27 EST
This continues to be broken in Fedora Core 5. :-(
Comment 8 Tim Waugh 2006-06-21 04:07:06 EDT
Still not working with kernel-2.6.16-1.2133_FC5.  This is on x86_64 by the way.
Comment 9 Dave Jones 2006-09-16 22:14:36 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 10 Tim Waugh 2006-09-17 07:03:59 EDT
Already did so in comment #5.
Comment 11 Dave Jones 2006-10-16 17:16:31 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 12 Tim Waugh 2006-10-30 04:28:40 EST
I no longer seem to get this problem so I suppose it's fixed.

Note You need to log in before you can comment on or make changes to this bug.